## rust-rip-starttls 0+20250111

=== debian/changelog ===
rust-rip-starttls (0+20250111-2) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config:
    + filter-out potential upstream debian dir
    + add usage config
  * update watch file: mangle filename

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Feb 2025 21:07:03 +0100

rust-rip-starttls (0+20250111-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1094774

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Jan 2025 01:21:51 +0100
