=== debian/control ===
Source: rust-rip-starttls
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-async-std-1+attributes-dev,
 librust-async-std-1+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-tokio-1+full-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+net-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-0.1+log-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-rip-starttls.git
Vcs-Browser: https://salsa.debian.org/debian/rust-rip-starttls
Homepage: https://github.com/pimalaya/core/tree/master/rip-starttls
Rules-Requires-Root: no

Package: librust-rip-starttls-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-async-std-1+default-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+net-dev,
 librust-tracing-0.1+default-dev,
 ${misc:Depends},
Provides:
 librust-rip-starttls-0.1+async-std-dev (= ${binary:Version}),
 librust-rip-starttls-0.1+default-dev (= ${binary:Version}),
 librust-rip-starttls-0.1+std-dev (= ${binary:Version}),
 librust-rip-starttls-0.1+tokio-dev (= ${binary:Version}),
 librust-rip-starttls-0.1-dev (= ${binary:Version}),
 librust-rip-starttls-0.1.0-dev (= ${binary:Version}),
Description: sans I/O implementation of IMAP starttls - Rust source code
 rip-starttls is a sans I/O implementation
 of starttls for the IMAP protocol,
 as well as feature-gated I/O connectors.
 .
 This package contains the source for the Rust crate rip-starttls,
 for use with cargo.
