=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rip-starttls 0.1.0
 --all-targets --all-features
Features:
 test-name=rust-rip-starttls:@,
Depends:
 dh-rust,
 librust-async-std-1+attributes-dev,
 librust-env-logger-0.11+default-dev,
 librust-rip-starttls-0.1-dev,
 librust-tokio-1+full-dev,
 librust-tracing-0.1+log-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rip-starttls 0.1.0
 --all-targets --no-default-features
Features:
 test-name=rust-rip-starttls:,
Depends:
 dh-rust,
 librust-async-std-1+attributes-dev,
 librust-env-logger-0.11+default-dev,
 librust-rip-starttls-0.1-dev,
 librust-tokio-1+full-dev,
 librust-tracing-0.1+log-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rip-starttls 0.1.0
 --all-targets
Features:
 test-name=rust-rip-starttls:default,
Depends:
 dh-rust,
 librust-async-std-1+attributes-dev,
 librust-env-logger-0.11+default-dev,
 librust-rip-starttls-0.1+default-dev,
 librust-tokio-1+full-dev,
 librust-tracing-0.1+log-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rip-starttls 0.1.0
 --all-targets --no-default-features --features async-std
Features:
 test-name=rust-rip-starttls:async-std,
Depends:
 dh-rust,
 librust-async-std-1+attributes-dev,
 librust-env-logger-0.11+default-dev,
 librust-rip-starttls-0.1+async-std-dev,
 librust-tokio-1+full-dev,
 librust-tracing-0.1+log-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rip-starttls 0.1.0
 --all-targets --no-default-features --features std
Features:
 test-name=rust-rip-starttls:std,
Depends:
 dh-rust,
 librust-async-std-1+attributes-dev,
 librust-env-logger-0.11+default-dev,
 librust-rip-starttls-0.1+std-dev,
 librust-tokio-1+full-dev,
 librust-tracing-0.1+log-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rip-starttls 0.1.0
 --all-targets --no-default-features --features tokio
Features:
 test-name=rust-rip-starttls:tokio,
Depends:
 dh-rust,
 librust-async-std-1+attributes-dev,
 librust-env-logger-0.11+default-dev,
 librust-rip-starttls-0.1+tokio-dev,
 librust-tokio-1+full-dev,
 librust-tracing-0.1+log-dev,
Restrictions:
 allow-stderr,
Architecture: amd64
